Bug Hunting Session
Bug 118707 - Crash when cutting some content
Summary: Crash when cutting some content
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: All Windows (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-11 19:25 UTC by Telesto
Modified: 2019-03-14 16:06 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["SdrOutliner::GetTextObj()"]


Attachments
Example file (48.01 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-07-11 19:26 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-11 19:25:33 UTC
Description:
Crash when cutting some content 

Steps to Reproduce:
1. Open the attached file
2. Enter the ole-object
3. CTRL+A + CTRL+X
4. Select cell A1 (main document) and paste (CTRL+V)
5. Cut again -> Crash -> Maybe bug 114271

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: bb1d5780226bb1b9156580972eea9aa849178742
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-03_05:56:48
Locale: nl-NL (nl_NL); Calc: CL

but not in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 1 Telesto 2018-07-11 19:26:20 UTC
Created attachment 143487 [details]
Example file
Comment 2 Roman Kuznetsov 2018-07-11 19:38:47 UTC
confirmed in 

Версия: 6.1.0.1 (x64)
ID сборки: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: по умолчанию; 
Локаль: ru-RU (ru_RU); Calc: CL

and

crashreport.libreoffice.org/stats/crash_details/8e54c803-69e2-45ed-8bf2-330004da8e26
Comment 3 Buovjaga 2018-07-12 18:50:28 UTC
Does not crash yet in latest commit of Linux 50max
Comment 4 Xisco Faulí 2018-07-13 15:52:18 UTC
It doesn't in crash in

Version: 6.2.0.0.alpha0+
Build ID: dbf8ad9bc385411c349095dfa66345464b4215d6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

or 

Versió: 6.0.5.2
ID de la construcció: 1:6.0.5~rc2-0ubuntu0.16.04.1~lo1
Fils de CPU: 4; SO: Linux 4.13; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group

but it does in

Versión: 6.1.0.1
Id. de compilación: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: ca-ES (es_ES); Calc: group threaded

so win only
Comment 5 Xisco Faulí 2018-07-13 16:16:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b6b1ded0a0539e7be1b5338de378a3276a6ff445

author	Henry Castro <hcastro@collabora.com>	2018-06-08 17:09:55 -0400
committer	Eike Rathke <erack@redhat.com>	2018-06-26 14:24:02 +0200
commit	b6b1ded0a0539e7be1b5338de378a3276a6ff445 (patch)
tree	79ac65de77ee5eadf714adb62628f74f4265491f
parent	f5e2dbb40cab1a21dc972806ee4038f52843e838 (diff)
sc: replace ScCaptionPtr with std::shared_ptr, tdf#117997, tdf#117228

Bisected with: bibisect-win32-6.2

Adding Cc: to Henry Castro
Comment 6 Xisco Faulí 2019-02-11 15:58:46 UTC Comment hidden (obsolete)
Comment 7 Henry Castro 2019-02-11 16:25:19 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2019-02-11 16:29:09 UTC Comment hidden (obsolete)
Comment 9 Henry Castro 2019-02-12 16:21:09 UTC
Sorry again, I have a co-worker that is working on this bug (Windows).
Comment 10 Miklos Vajna 2019-02-12 16:25:33 UTC
https://gerrit.libreoffice.org/#/c/67725/

Lubos already has a pending patch, FWIW.
Comment 11 Michael Meeks 2019-02-28 14:54:32 UTC
Patch merged to master; hopefully we can cherry-pick that to -6-2 too; Lubos ?
Comment 12 Xisco Faulí 2019-03-13 09:52:12 UTC
(In reply to Michael Meeks from comment #11)
> Patch merged to master; hopefully we can cherry-pick that to -6-2 too; Lubos
> ?

Patch was already merged to 6-2 branch -> https://gerrit.libreoffice.org/#/c/68685/2
Comment 13 Xisco Faulí 2019-03-14 16:06:04 UTC
Verified in

Versión: 6.2.2.1
Id. de compilación: fcd633fb1bf21b0a99c9acb3ad6e526437947b01
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

@Luboš Luňák, thanks for fixing this!

I've also checked bug 117997, bug 117228, bug 118308 and bug 117545 are fixed